Subject: Re: [PATCH v3 0/6] banned: mark `strok()`, `strtok_r()` as banned

From: Taylor Blau <[email-masked]>
Date: Tue, 25 Apr 2023 17:03:08 -0400

On Tue, Apr 25, 2023 at 02:27:08AM -0400, Jeff King wrote:
> On Mon, Apr 24, 2023 at 06:20:07PM -0400, Taylor Blau wrote:
>
> > Here is another medium-sized reroll of my series to add `strtok()` (and
> > `strtok_r()`!) to the list of banned functions.
> >
> > Notable changes include:
> >
> >   - Dropped `string_list_split_in_place_multi()` in favor of a
> >     combination of `string_list_split_in_place()` and
> >     `string_list_remove_empty_items()`.
> >
> >   - `strtok_r()` is back on the banned list, with a more realistic sales
> >     pitch.
>
> This all looks good to me. I left two comments which are on the border
> between "minor" and "philosophizing", so I'd be happy to see the series
> go in as-is.

Thanks, I agree that this version is ready to go, absent any other
show-stopping reviews.

Thanks,
Taylor